API ReferenceTenants
Create tenant
POST
Creates a new tenant in the requested environment.
Analytics Events
TENANT_CREATE_STARTTENANT_CREATE_SUCCESSTENANT_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>application/json- body
name?stringFriendly and/or meaningful name for your new tenant.
subdomain*stringSubdomain for your tenant within requested environment. Only lower case alphanumeric characters (a-z, 0-9) and hyphens are allowed.
environmentId*stringUnique identifier of the environment where you want to create your tenant. This can be obtained by retrieving environments.
Tenant created
application/json- response
id?stringUnique tenant identifier, required for managing the tenant.
name?stringTenant name.
subdomain?stringTenant subdomain, used to make requests to this tenant.
environment?membership?client*Authentication details for a client who is authorized to interact with this tenant.
curl -X POST "https://example.com/v1/tenants" \ -H "Content-Type: application/json" \ -d '{ "subdomain": "my-tenant", "environmentId": "84ca6f53-5405-4413-a6ad-848b781807e7" }'{ "id": "86cb97a9-5e80-4ed7-af13-a170752bb1ea", "name": "My Tenant", "subdomain": "my-tenant.vii.au01.mattr.global", "environment": { "id": "fa605282-0223-4ae0-831d-af368bc39a55", "name": "MATTR Public Sydney, Australia", "domain": "vii.au01.mattr.global", "authorizationServerDomain": "manage.auth.auth0.com", "deploymentModel": "public", "region": { "id": "70bb433a-f0ec-4297-ad76-3b09c71311f3", "name": "AU01", "displayName": "Sydney, Australia" } }, "membership": { "roles": [ "dts-provider", "issuer" ] }, "client": { "clientId": "suC7IhmDIawnlqBlEOuIqBWoqppcdI52", "clientSecret": "QmtShBH3mkO05ra91dNO-YyPwPbfs1iokh57IgqhzVWTAZlolCdeAGYOG2kz1" }}How would you rate this page?